Subject: Re: [PATCH] powerpc/85xx: don't call of_platform_bus_probe() twice

From: Timur Tabi <[email-masked]>
Date: Fri, 16 Mar 2012 15:50:44 -0500

Kumar Gala wrote:

> This seems like paper taping over the real issue.  We should be able to call of_platform_bus_probe() multiple times.

I tried debugging it, but I couldn't figure it out.  My guess is that the
nodes probed by of_platform_bus_probe() are somehow "reserved", so that
the second time it's called, they're skipped.  I figured that this was
just a side-effect of the way the OF layer works.

If someone more familiar with the OF layer wants to look at it, that's
great.  Until then, my patch is the only one that allows the audio and
async DMA drivers to work, and any other drivers that probe on nodes that
are grandchildren of the root node.

-- 
Timur Tabi
Linux kernel developer at Freescale